precision mediump float;

varying vec2 uv;

uniform vec4 color;
uniform sampler2D textureSampler;

void main() {
	vec4 texColor = texture2D(textureSampler, uv).rgba;
	vec4 multiplier = vec4(color.rgb * color.a, color.a);
	gl_FragColor = texColor * multiplier;
}